/*------------------------------------------------------------------------------
-- This file is a part of the QLop Software
-- Copyright (C) 2015, Plasma Physics Laboratory - CNRS
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-------------------------------------------------------------------------------*/
/*-- Author : Alexis Jeandet
-- Mail : alexis.jeandet@member.fsf.org
----------------------------------------------------------------------------*/

#ifndef QLOP
#define QLOP
#ifdef WIN32
    #define QLOP_PLUGINS_INSTALL_PATH qApp->applicationDirPath()+"/plugins"
    #define QLOP_CONFIG_PATH qApp->applicationDirPath()+"/config"
    #define PYMODULES qApp->applicationDirPath()+"/python"
#else
    #ifdef UNIX
        #define QLOP_PLUGINS_INSTALL_PATH QDir::homePath()+"/.QLop/plugins"
        #define QLOP_CONFIG_PATH QDir::homePath()+"/.QLop/config"
        #define PYMODULES "/etc/QLop/python"
    #endif
#endif
#endif // QLOP

